
K<-function(mas){
return(1/sqrt(2*pi)*exp(-mas^2/2))
}


EstLL<-function(t,mas,y,bandwidth){
#-- Esta función me devuelve la estimación por el estimador noparamétrico de la
#-- regresión del estimador local-lineal.
#-- t vector de puntos donde se va a evaluar la función.
#-- mas valores de la variable emasplicativa.
#-- y valores de la variable respuesta.
#-- bandwidth ventana de suavizado.
    S1<-K(outer(mas,t,"-")/bandwidth)%*%outer(mas,t,"-")
    S2<-K(outer(mas,t,"-")/bandwidth)%*%outer(mas,t,"-")%*%outer(mas,t,"-")
    return((K(outer(mas,t,"-")/bandwidth)%*%(S2-(outer(mas,t,"-")%*%S1))/apply(K(outer(mas,t,"-")/bandwidth)%*%(S2-(outer(mas,t,"-")%*%S1)),1,sum))%*%y)
}


############################################################################################
mas<-c(1.5,2.5,3.5)
y<-c(1,1,1)
t<-c(1.5,2.5,3.5)
#t<-c(1,2,3)
h<-10000
par(mfrow=c(1,2))
plot(x,EstLL(x,x,y,h),type="l",ylim=c(0,2))
plot(x,y)
abline(lm(y~x))
#########################################################################################
setwd("C:/Users/leyenda/Desktop/master/Estadística_noparamétrica/Trabajos/Trabajo grupo")
ejemplo<-read.table("patatas.txt",dec=",")

mas<-ejemplo$V1
y<-ejemplo$V2
h=10000
par(mfrow=c(1,2))
plot(mas,y)
abline(lm(y~mas))
m.gorro=EstLL(mas,mas,y,bandwidth)
plot(mas,m.gorro,type="l", ylim=c(0,2))
